package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 人员档案管理小计
 * @Author: CaoZixuan
 * @Date: 2023-08-15
 */
public class UserArchivesSubTotalResult {
    @ApiModelProperty("在册档案")
    private Integer totalCount;

    @ApiModelProperty("有效")
    private Integer validCount;

    @ApiModelProperty("无效")
    private Integer invalidCount;

    @ApiModelProperty("实施工程师有效")
    private Integer effectEngineerCount;

    @ApiModelProperty("区域协调人有效")
    private Integer regionCoordinatorCount;

    @ApiModelProperty("助理工程师有效")
    private Integer assistantEngineerCount;

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getValidCount() {
        return validCount;
    }

    public void setValidCount(Integer validCount) {
        this.validCount = validCount;
    }

    public Integer getInvalidCount() {
        return invalidCount;
    }

    public void setInvalidCount(Integer invalidCount) {
        this.invalidCount = invalidCount;
    }

    public Integer getEffectEngineerCount() {
        return effectEngineerCount;
    }

    public void setEffectEngineerCount(Integer effectEngineerCount) {
        this.effectEngineerCount = effectEngineerCount;
    }

    public Integer getRegionCoordinatorCount() {
        return regionCoordinatorCount;
    }

    public void setRegionCoordinatorCount(Integer regionCoordinatorCount) {
        this.regionCoordinatorCount = regionCoordinatorCount;
    }

    public Integer getAssistantEngineerCount() {
        return assistantEngineerCount;
    }

    public void setAssistantEngineerCount(Integer assistantEngineerCount) {
        this.assistantEngineerCount = assistantEngineerCount;
    }
}
